---
title: Retrieve Encounter
slug: retrieve-encounter
docTags: 
createdAt: 2023-09-12T11:08:27.770Z
---

Access data on patient encounters with healthcare providers. Retrieve details on appointments, consultations, and interactions with healthcare professionals. Useful for understanding a patient's healthcare journey and treatment history.

To access this clinical data you'll need the patient identifier, obtainable through the [Retrieve Patient](docId:8OPknnbMTaZ47Rk5HkDD3) interaction.

### Interaction

Retrieving the list of encounters can be done by sending a **GET** request. The request is sent to the Encounter endpoint:

`https://api.<region>.founda.com/1/organizations/<org-x>/fhir/4/Encounter?<parameters>`

Where `<region>` should be defined according to the different Founda [regions](docId\:ncFf15xNu1WGlST2wNm-P) and `<org-x>` should be replaced with the Healthcare Provider's organization ID that you are integrated with.&#x20;

The response contains a Bundle with 0, 1 or N matching Encounters. The full Encounter resource can be retrieved with the identifier of the selected Encounter from the result set.&#x20;

### Profile

Founda adheres to recognized standards (IHE, HL7 FHIR) to ensure compatibility and harmonization among diverse systems. If there is a profile available for an interaction, it is recommended and preferred to follow the prescribed transactions.

The Retrieve Encounter interaction with the Founda Platform is based on the [IHE QEDm profile](https://www.ihe.net/uploadedFiles/Documents/PCC/IHE_PCC_Suppl_QEDm.pdf). To indicate that the request and response should comply with PCC-44, the `_profile` parameter should be included to the search set: `.../Encounter?_profile=https://profiles.ihe.net/ITI/QEDm`.

### Parameters

In order to comply with the PCC-44 transaction, the interaction should at least support the parameter in the table below. Additional search parameters, as defined in the [FHIR Encounter](http://hl7.org/fhir/encounter.html) resource, can be used as well.&#x20;

| **Parameters combination** | **Type**             | **Required\*** | **Description**                                                       |
| -------------------------- | -------------------- | -------------- | --------------------------------------------------------------------- |
| `patient`                  | `reference`          |                | The patient to search data for                                        |
| `patient` + `date`         | `reference` + `date` |                | The patient to search data for + the date of creation of the resource |

*\*At least one of the combinations has to be supported*

### Example API call

::::CodeDrawer{title="Retrieve Encounter for Patient" isResponseExpanded="true" autoGeneratedAnchorSlug="retrieve-encounter-for-patient" legacyHash="dWXkJxfxh4rQRG5waeWqL"}
:::CodeblockTabsExamples
```curl
curl --location 'https://api.eu.founda.com/1/health/organizations/org-4c5739ba994d4ce9b5255d3f84a2d367/fhir/4/Encounter?patient=2078&_profile=https%3A%2F%2Fprofiles.ihe.net%2FITI%2FQEDm%2F' \
--header 'Authorization: Bearer ory_at_T_sx5CEqgi37wTaptEkGAV9Ggsg4UCzrzOc4Xe29Sto.jfqRUlKTeevVwUmPD6djKD2lAWDh5vRMfIf0PKpNQsU' \
--data ''
```
:::

:::CodeblockTabsResponses
```javascript
{
    "resourceType": "Bundle",
    "id": "7ad54e5d-3102-440a-b41b-cf817bdf2d20",
    "meta": {
        "lastUpdated": "2023-10-17T09:16:18.943+00:00"
    },
    "type": "searchset",
    "total": 1,
    "link": [
        {
            "relation": "self",
            "url": "https://api.eu.founda.com/1/health/organizations/org-4c5739ba994d4ce9b5255d3f84a2d367/fhir/4/Encounter?patient=2078&_profile=https://profiles.ihe.net/ITI/QEDm/"
        }
    ],
    "entry": [
        {
            "fullUrl": "https://api.eu.founda.com/1/health/organizations/org-4c5739ba994d4ce9b5255d3f84a2d367/fhir/4/Encounter/2153",
            "resource": {
                "resourceType": "Encounter",
                "id": "2153",
                "meta": {
                    "versionId": "1",
                    "lastUpdated": "2023-10-05T14:29:17.597+00:00",
                    "source": "#CCiImJHhEUITEgf1",
                    "tag": [
                        {
                            "system": "http://terminology.hl7.org/CodeSystem/v3-ActReason",
                            "code": "HTEST",
                            "display": "test health data"
                        }
                    ]
                },
                "text": {
                    "status": "generated",
                    "div": "<div xmlns=\"http://www.w3.org/1999/xhtml\"><p><b>Generated Narrative with Details</b></p><p><b>id</b>: f203</p><p><b>identifier</b>: Encounter_Roel_20130311 (TEMP)</p><p><b>status</b>: finished</p><h3>StatusHistories</h3><table><tr><td>-</td><td><b>Status</b></td><td><b>Period</b></td></tr><tr><td>*</td><td>arrived</td><td>08/03/2013 --&gt; (ongoing)</td></tr></table><p><b>class</b>: inpatient encounter (Details: http://terminology.hl7.org/CodeSystem/v3-ActCode code IMP = 'inpatient encounter', stated as 'inpatient encounter')</p><p><b>type</b>: Inpatient stay for nine days <span>(Details : {SNOMED CT code '183807002' = 'Inpatient stay 9 days', given as 'Inpatient stay for nine days'})</span></p><p><b>priority</b>: High priority <span>(Details : {SNOMED CT code '394849002' = 'High priority', given as 'High priority'})</span></p><p><b>subject</b>: <a>Roel</a></p><p><b>episodeOfCare</b>: <a>EpisodeOfCare/example</a></p><p><b>basedOn</b>: <a>ServiceRequest/myringotomy</a></p><h3>Participants</h3><table><tr><td>-</td><td><b>Type</b></td><td><b>Individual</b></td></tr><tr><td>*</td><td>Participation <span>(Details : {http://terminology.hl7.org/CodeSystem/v3-ParticipationType code 'PART' = 'Participation)</span></td><td><a>Practitioner/f201</a></td></tr></table><p><b>appointment</b>: <a>Appointment/example</a></p><p><b>period</b>: 11/03/2013 --&gt; 20/03/2013</p><p><b>reasonCode</b>: The patient seems to suffer from bilateral pneumonia and renal insufficiency, most likely due to chemotherapy. <span>(Details )</span></p><blockquote><p><b>diagnosis</b></p><p><b>condition</b>: <a>Condition/stroke</a></p><p><b>use</b>: Admission diagnosis <span>(Details : {http://terminology.hl7.org/CodeSystem/diagnosis-role code 'AD' = 'Admission diagnosis', given as 'Admission diagnosis'})</span></p><p><b>rank</b>: 1</p></blockquote><blockquote><p><b>diagnosis</b></p><p><b>condition</b>: <a>Condition/f201</a></p><p><b>use</b>: Discharge diagnosis <span>(Details : {http://terminology.hl7.org/CodeSystem/diagnosis-role code 'DD' = 'Discharge diagnosis', given as 'Discharge diagnosis'})</span></p></blockquote><p><b>account</b>: <a>Account/example</a></p><h3>Hospitalizations</h3><table><tr><td>-</td><td><b>Origin</b></td><td><b>AdmitSource</b></td><td><b>ReAdmission</b></td><td><b>DietPreference</b></td><td><b>SpecialCourtesy</b></td><td><b>SpecialArrangement</b></td><td><b>Destination</b></td></tr><tr><td>*</td><td><a>Location/2</a></td><td>Clinical Oncology Department <span>(Details : {SNOMED CT code '309902002' = 'Clinical oncology department', given as 'Clinical Oncology Department'})</span></td><td>readmitted <span>(Details : {[not stated] code 'null' = 'null', given as 'readmitted'})</span></td><td>Fluid balance regulation <span>(Details : {SNOMED CT code '276026009' = 'Fluid balance regulation', given as 'Fluid balance regulation'})</span></td><td>normal courtesy <span>(Details : {http://terminology.hl7.org/CodeSystem/v3-EncounterSpecialCourtesy code 'NRM' = 'normal courtesy', given as 'normal courtesy'})</span></td><td>Wheelchair <span>(Details : {http://terminology.hl7.org/CodeSystem/encounter-special-arrangements code 'wheel' = 'Wheelchair', given as 'Wheelchair'})</span></td><td><a>Location/2</a></td></tr></table><p><b>serviceProvider</b>: <a>Organization/2</a></p><p><b>partOf</b>: <a>Encounter/f203</a></p></div>"
                },
                "identifier": [
                    {
                        "use": "temp",
                        "value": "Encounter_Roel_20130311"
                    }
                ],
                "status": "finished",
                "statusHistory": [
                    {
                        "status": "arrived",
                        "period": {
                            "start": "2013-03-08"
                        }
                    }
                ],
                "class": {
                    "system": "http://terminology.hl7.org/CodeSystem/v3-ActCode",
                    "code": "IMP",
                    "display": "inpatient encounter"
                },
                "type": [
                    {
                        "coding": [
                            {
                                "system": "http://snomed.info/sct",
                                "code": "183807002",
                                "display": "Inpatient stay for nine days"
                            }
                        ]
                    }
                ],
                "priority": {
                    "coding": [
                        {
                            "system": "http://snomed.info/sct",
                            "code": "394849002",
                            "display": "High priority"
                        }
                    ]
                },
                "subject": {
                    "reference": "Patient/2078",
                    "display": "Roel"
                },
                "episodeOfCare": [
                    {
                        "reference": "EpisodeOfCare/2152"
                    }
                ],
                "participant": [
                    {
                        "type": [
                            {
                                "coding": [
                                    {
                                        "system": "http://terminology.hl7.org/CodeSystem/v3-ParticipationType",
                                        "code": "PART"
                                    }
                                ]
                            }
                        ],
                        "individual": {
                            "reference": "Practitioner/2079"
                        }
                    }
                ],
                "appointment": [
                    {
                        "reference": "Appointment/2095"
                    }
                ],
                "period": {
                    "start": "2013-03-11",
                    "end": "2013-03-20"
                },
                "reasonCode": [
                    {
                        "text": "The patient seems to suffer from bilateral pneumonia and renal insufficiency, most likely due to chemotherapy."
                    }
                ],
                "diagnosis": [
                    {
                        "use": {
                            "coding": [
                                {
                                    "system": "http://terminology.hl7.org/CodeSystem/diagnosis-role",
                                    "code": "AD",
                                    "display": "Admission diagnosis"
                                }
                            ]
                        },
                        "rank": 1
                    },
                    {
                        "use": {
                            "coding": [
                                {
                                    "system": "http://terminology.hl7.org/CodeSystem/diagnosis-role",
                                    "code": "DD",
                                    "display": "Discharge diagnosis"
                                }
                            ]
                        }
                    }
                ],
                "hospitalization": {
                    "origin": {
                        "reference": "Location/2074"
                    },
                    "admitSource": {
                        "coding": [
                            {
                                "system": "http://snomed.info/sct",
                                "code": "309902002",
                                "display": "Clinical Oncology Department"
                            }
                        ]
                    },
                    "reAdmission": {
                        "coding": [
                            {
                                "display": "readmitted"
                            }
                        ]
                    },
                    "dietPreference": [
                        {
                            "coding": [
                                {
                                    "system": "http://snomed.info/sct",
                                    "code": "276026009",
                                    "display": "Fluid balance regulation"
                                }
                            ]
                        }
                    ],
                    "specialCourtesy": [
                        {
                            "coding": [
                                {
                                    "system": "http://terminology.hl7.org/CodeSystem/v3-EncounterSpecialCourtesy",
                                    "code": "NRM",
                                    "display": "normal courtesy"
                                }
                            ]
                        }
                    ],
                    "specialArrangement": [
                        {
                            "coding": [
                                {
                                    "system": "http://terminology.hl7.org/CodeSystem/encounter-special-arrangements",
                                    "code": "wheel",
                                    "display": "Wheelchair"
                                }
                            ]
                        }
                    ],
                    "destination": {
                        "reference": "Location/2074"
                    }
                },
                "serviceProvider": {
                    "reference": "Organization/2072"
                }
            },
            "search": {
                "mode": "match"
            }
        }
    ]
}
```
:::
::::

